Skip to main content
GET
List SSH keys

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

Example:

1

Query Parameters

limit
integer
default:10

Maximum number of SSH keys to return

Required range: 1 <= x <= 1000
Example:

100

name
string

SSH key name. Partial substring match. Example: name=abc matches any key containing abc in name.

Example:

"my-ssh-key"

offset
integer
default:0

Offset for pagination

Required range: x >= 0
Example:

0

order_by
enum<string>
default:created_at.desc

Sort order for the SSH keys

Available options:
created_at.asc,
created_at.desc,
name.asc,
name.desc
Example:

"created_at.desc"

Response

200 - application/json

OK

count
integer
required

Number of objects

Required range: x >= 0
Example:

1

results
SSH key response object · object[]
required

Objects